export default function getData(params) {
    console.log(params || '')
    let data = [
        { value: 1048, name: '搜索引擎' },
        { value: 735, name: '直接访问' },
        { value: 580, name: '邮件营销' },
        { value: 484, name: '联盟广告' },
        { value: 300, name: '视频广告' }
    ]
    return {
        title: {
            show: false,
            text: '某站点用户访问来源',
            subtext: '纯属虚构',
            left: 'center'
        },
        tooltip: {
            trigger: 'item'
        },
        legend: {
            orient: 'vertical',
            right: 0,
            top: 20,
            itemGap: 15,
            formatter: function(param) {
                console.log(param)
                return param + '    ' + data.find(val => val.name === param).value;
            },
            tooltip: {
                show: true
            },
            textStyle: {
                color: "#FFF"
            }
        },
        series: [{
            // name: '访问来源',
            type: 'pie',
            radius: '90%',
            center: ["30%", "50%"],
            label: {
                position: 'inner',
                fontSize: 14,
                align: "right",
                overflow: "truncate",
                baseline: "middle",
                color: '#FFF'
            },
            data: data,
            left: 1,
        }]
    }
}